Base32InputStream (Encode/Decode Utilities (Version 1.10-SNAPSHOT))
Date: 2015-09-13

org.apache.commons.codec.binary

## Class Base32InputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.commons.codec.binary.BaseNCodecInputStream
      - - org.apache.commons.codec.binary.Base32InputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class Base32InputStream
      extends BaseNCodecInputStream

  Provides Base32 encoding and decoding in a streaming fashion (unlimited size). When encoding the default lineLength is 76 characters and the default lineEnding is CRLF, but these can be overridden by using the appropriate constructor.

  The default behaviour of the Base32InputStream is to DECODE, whereas the default behaviour of the Base32OutputStream is to ENCODE, but this behaviour can be overridden by using a different constructor.

  Since this class operates directly on byte streams, and not character streams, it is hard-coded to only encode/decode character encodings which are compatible with the lower 127 ASCII chart (ISO-8859-1, Windows-1252, UTF-8, etc).

  Since:
    1.5
  Version:
    $Id: Base32InputStream.java 1586299 2014-04-10 13:50:21Z ggregory $
  See Also:
    RFC 4648

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base32InputStream(java.io.InputStream in)` Creates a Base32InputStream such that all data read is Base32-decoded from the original provided InputStream.
    `Base32InputStream(java.io.InputStream in, boolean doEncode)` Creates a Base32InputStream such that all data read is either Base32-encoded or Base32-decoded from the original provided InputStream.
    `Base32InputStream(java.io.InputStream in, boolean doEncode, int lineLength, byte[] lineSeparator)` Creates a Base32InputStream such that all data read is either Base32-encoded or Base32-decoded from the original provided InputStream.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodecInputStream

      `available, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.io.FilterInputStream

      `close, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base32InputStream

          public Base32InputStream(java.io.InputStream in)

      Creates a Base32InputStream such that all data read is Base32-decoded from the original provided InputStream.
      Parameters:
        `in` - InputStream to wrap.

    - #### Base32InputStream

          public Base32InputStream(java.io.InputStream in,
                           boolean doEncode)

      Creates a Base32InputStream such that all data read is either Base32-encoded or Base32-decoded from the original provided InputStream.
      Parameters:
        `in` - InputStream to wrap.
        `doEncode` - true if we should encode all data read from us, false if we should decode.

    - #### Base32InputStream

          public Base32InputStream(java.io.InputStream in,
                           boolean doEncode,
                           int lineLength,
                           byte[] lineSeparator)

      Creates a Base32InputStream such that all data read is either Base32-encoded or Base32-decoded from the original provided InputStream.
      Parameters:
        `in` - InputStream to wrap.
        `doEncode` - true if we should encode all data read from us, false if we should decode.
        `lineLength` - If doEncode is true, each line of encoded data will contain lineLength characters (rounded down to nearest multiple of 4). If lineLength <= 0, the encoded data is not divided into lines. If doEncode is false, lineLength is ignored.
        `lineSeparator` - If doEncode is true, each line of encoded data will be terminated with this byte sequence (e.g. \r\n). If lineLength <= 0, the lineSeparator is not used. If doEncode is false lineSeparator is ignored.

commons-codec version 1.10-SNAPSHOT - Copyright © 2002-2015 - Apache Software Foundation